Bug 1788846 (CVE-2019-19923) - CVE-2019-19923 sqlite: mishandling of certain uses of SELECT DISTINCT involving a LEFT JOIN in flattenSubquery in select.c leads to a NULL pointer dereference
Summary: CVE-2019-19923 sqlite: mishandling of certain uses of SELECT DISTINCT involvi...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-19923
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1788847 1789799 1789812 1801837
Blocks: 1788845
TreeView+ depends on / blocked
 
Reported: 2020-01-08 08:53 UTC by Marian Rehak
Modified: 2020-04-28 15:55 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-17 14:10:15 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:0514 0 None None None 2020-02-17 08:24:40 UTC
Red Hat Product Errata RHSA-2020:1810 0 None None None 2020-04-28 15:55:23 UTC

Description Marian Rehak 2020-01-08 08:53:08 UTC
flattenSubquery in select.c in SQLite 3.30.1 mishandles certain uses of SELECT DISTINCT involving a LEFT JOIN in which the right-hand side is a view. This can cause a NULL pointer dereference (or incorrect results).

Upstream fix:

https://github.com/sqlite/sqlite/commit/396afe6f6aa90a31303c183e11b2b2d4b7956b35

Comment 1 Marian Rehak 2020-01-08 08:53:56 UTC
Created sqlite tracking bugs for this issue:

Affects: fedora-31 [bug 1788847]

Comment 2 Marian Rehak 2020-01-10 13:24:58 UTC
Created sqlite tracking bugs for this issue:

Affects: fedora-30 [bug 1789799]

Comment 4 errata-xmlrpc 2020-02-17 08:24:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2020:0514 https://access.redhat.com/errata/RHSA-2020:0514

Comment 5 Product Security DevOps Team 2020-02-17 14:10:15 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-19923

Comment 6 errata-xmlrpc 2020-04-28 15:55:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1810 https://access.redhat.com/errata/RHSA-2020:1810


Note You need to log in before you can comment on or make changes to this bug.